Ask Your Question
0

what SSL cipher does puppetserver 1.0.8 use?

asked 2015-04-03 09:09:07 -0600

aswin gravatar image

updated 2015-04-06 10:36:50 -0600

csharpsteen gravatar image

I find that when I upgrade puppet in ubuntu 10.04 client to 3.7.5 it gives me below error

## SSL_connect SYSCALL returned=5 errno=0 state=SSLv3 read finished A ##

The puppet master it is connecting to is running puppetserver 1.0.8

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2015-04-05 02:54:31 -0600

Hi,

Have you tried to regenerate your SSL certificates?

http://docs.puppetlabs.com/puppet/3.7...regeneratecertificates.html

This link has always been helpful to me http://bitcube.co.uk/content/puppet-e...

Cheers, Michael

edit flag offensive delete link more

Comments

Thanks Michael I am able to run puppet post regenerating certificates.But can I know the reason why it needs to be done.I read that ubuntu 10.04 openssl(0.9.8) by default starts off with SSL_V23 instead of TLSv1.If so how does clearing certificate and regenerating enable it to work with TLSv1.?

aswin gravatar imageaswin ( 2015-04-06 07:19:27 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-04-03 09:06:48 -0600

Seen: 155 times

Last updated: Apr 06 '15